﻿namespace GDCHyperLinkSample.Model
{
    using System;
    using System.ComponentModel;

    internal class Employee : INotifyPropertyChanged
    {
        private string _ename;

        public string EmployeeName
        {
            get { return this._ename; }
            set
            {
                this._ename = value;
                OnPropertyChanged("EmployeeName");
            }
        }

        private int _eage;

        public int EmployeeAge
        {
            get { return this._eage; }
            set
            {
                this._eage = value;
                OnPropertyChanged("EmployeeAge");
            }
        }

        private string _earea;

        public string EmployeeArea
        {
            get { return this._earea; }
            set
            {
                this._earea = value;
                OnPropertyChanged("EmployeeArea");
            }
        }

        private string _egender;

        public string EmployeeGender
        {
            get { return this._egender; }
            set
            {
                this._egender = value;
                OnPropertyChanged("EmployeeGender");
            }
        }

        private string _office;

        public string EmployeeOffice
        {
            get { return this._office; }
            set
            {
                this._office = value;
                OnPropertyChanged("EmployeeOffice");
            }
        }

        private int _eExpInMonth;

        public int ExperienceInMonth
        {
            get { return this._eExpInMonth; }
            set
            {
                this._eExpInMonth = value;
                OnPropertyChanged("ExperienceInMonth");
            }
        }

        private double _esalary;

        public double EmployeeSalary
        {
            get { return this._esalary; }
            set
            {
                this._esalary = value;
                OnPropertyChanged("EmployeeSalary");
            }
        }

        private Uri _imageLink;

        public Uri ImageLink
        {
            get { return this._imageLink; }
            set
            {
                this._imageLink = value;
                OnPropertyChanged("ImageLink");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}