﻿namespace GDCHyperLinkSample.ViewModel
{
    using System.Collections.ObjectModel;
    using System.ComponentModel;
    using Model;
    using Syncfusion.Linq;

    internal class MainWindowViewModel : INotifyPropertyChanged
    {
        public MainWindowViewModel()
        {
            this.GdcSource = new EmployeeObservableCollection();
            this.Genders = new ObservableCollection<string>(new[] { "Male", "Female" });
        }

        private ObservableCollection<Employee> _gdcsource;

        public ObservableCollection<Employee> GdcSource
        {
            get { return this._gdcsource; }
            set
            {
                this._gdcsource = value;
                OnPropertyChanged("GdcSource");
            }
        }

        private ObservableCollection<string> _genders;

        public ObservableCollection<string> Genders
        {
            get { return this._genders; }
            set
            {
                this._genders = value;
                OnPropertyChanged("Genders");
            }
        }

        private string _selectedGender;

        public string SelectedGender
        {
            get { return this._selectedGender; }
            set
            {
                this._selectedGender = value;
                OnPropertyChanged("SelectedGender");
                GdcSource.ForEach(item => item.EmployeeGender = value);
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}